%define major   6
%define rev     0
%define rel     2
%define libname %mklibname %oname %major
%define develname %mklibname %oname -d
%define old_libname %mklibname %name %major
%define oname   lscp

%if %{rev}
%define release %mkrel -c %{rev} %{rel}
%else
%define release %mkrel %{rel}
%endif

Name:          liblscp
Summary:       LinuxSampler Control Protocol (LSCP) wrapper library
Version:       0.5.7
Release:       %{release}
License:       GPLv2
Group:         System/Libraries
# Make tarball from svn in SOURCES with:
# ./mk_svn_tar liblscp https://svn.linuxsampler.org/svn/liblscp/trunk tar.bz2
%if %{rev}
Source0:       %{name}-%{rev}.tar.bz2
%else
Source0:       %{name}-%{version}.tar.bz2
%endif
Source1:       mk_svn_tar
URL:           http://www.linuxsampler.org/

%description
LinuxSampler Control Protocol (LSCP) wrapper library

#--------------------------------------------------------------------

%package -n     %libname
Group:          System/Libraries
Summary:        Libraries for %name
Provides:       %name = %version-%release
Obsoletes:      %old_libname <= %version-%release

%description -n %libname 
LinuxSampler Control Protocol (LSCP) wrapper library

%files -n %libname
%_libdir/liblscp.so.%{major}*

#--------------------------------------------------------------------

%package -n     %develname
Group:          Development/Other
Summary:        Libraries for %name
Requires:       %libname = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %old_libname-devel <= %{version}-%{release}
Obsoletes:      %{_lib}%{oname}5-devel < %{version}-%{release}

%description -n %develname
Development libraries from %oname

%files -n %develname
%doc COPYING
%dir %_includedir/lscp
%_includedir/lscp/*.h
%_libdir/liblscp.a
%_libdir/liblscp.so
%_libdir/pkgconfig/lscp.pc

#--------------------------------------------------------------------

%prep
%if %{rev}
%setup -q -n %name
%else
%setup -q
%endif

%build
[[ -f Makefile.svn ]] && make -f Makefile.svn
%configure2_5x
%make

%install
%makeinstall
find %{buildroot} -name "*.la" -delete


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 0.5.7-2.mga6
+ Revision: 961074
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 barjac <barjac> 0.5.7-1.mga6
+ Revision: 894737
- new version 0.5.7

* Wed Oct 15 2014 umeabot <umeabot> 0.5.6.2-0.2671.3.mga5
+ Revision: 750597
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6.2-0.2671.2.mga5
+ Revision: 681582
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.5.6.2-0.2671.1.mga5
+ Revision: 670942
- new snapshot 2671

* Tue May 13 2014 barjac <barjac> 0.5.6.2-0.2546.3.mga5
+ Revision: 622384
- new snapshot 2546
- use parallel build
- use find --delete

* Sat Oct 19 2013 umeabot <umeabot> 0.5.6.2-0.2459.2.mga4
+ Revision: 531789
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 0.5.6.2-0.2459.1.mga4
+ Revision: 465349
- new snapshot 2459
- remove obsolete patch
- remove *.la rather than %%exclude

* Sat Jan 12 2013 umeabot <umeabot> 0.5.6.2-0.2379.3.mga3
+ Revision: 357719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.5.6.2-0.2379.2.mga3
+ Revision: 349503
- prepare spec for revision/release changes

* Tue Jan 08 2013 cjw <cjw> 0.5.6.2-0.2379.1.mga3
+ Revision: 341499
- patch1: fix build with automake 1.13
- set version number to internal version

* Tue Nov 13 2012 barjac <barjac> 0.5.6-0.2379.mga3
+ Revision: 317285
- new svn snapshot
- spec cleaned
- thanks to Philippe Didier
- added small script for making tarball to sources
- Import from Mandriva


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.6-3mdv2011.0
+ Revision: 620149
- the mass rebuild of 2010.0 packages

* Fri Aug 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.5.6-2mdv2010.0
+ Revision: 421793
+ rebuild (emptylog)

* Thu Aug 27 2009 Emmanuel Andry <eandry@mandriva.org> 0.5.6-1mdv2010.0
+ Revision: 421760
- New version 0.5.6
- apply libraries policy
- new major 6

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.5.5-4mdv2009.0
+ Revision: 248973
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Dec 16 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.5-2mdv2008.1
+ Revision: 120465
- Fix packages name

* Sat Dec 15 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.5-1mdv2008.1
+ Revision: 120452
- import liblscp


